/*
 * $Id: serv_pop3.h,v 614.0 2003/12/30 04:13:45 ajc Exp $
 *
 */

struct pop3msg {
	long msgnum;
	size_t rfc822_length;
	int deleted;
	FILE *temp;
};

struct citpop3 {		/* Information about the current session */
	struct pop3msg *msgs;	/* Array of message pointers */
	int num_msgs;		/* Number of messages in array */
	int lastseen;		/* Offset of last-read message in array */
};
				/* Note: the "lastseen" is represented as the
				 * offset in this array (zero-based), so when
				 * displaying it to a POP3 client, it must be
				 * incremented by one.
				 */

#define POP3 ((struct citpop3 *)CtdlGetUserData(SYM_POP3))

void pop3_cleanup_function(void);
void pop3_greeting(void);
void pop3_user(char *argbuf);
void pop3_pass(char *argbuf);
void pop3_list(char *argbuf);
void pop3_command_loop(void);
void pop3_login(void);

